> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoice with file

> Fetch an invoice with its file of the specified vehicle



## OpenAPI

````yaml /api-reference/m2m-api.yml get /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/invoice/{invoiceId}
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/invoice/{invoiceId}:
    get:
      tags:
        - Invoices
      summary: Get invoice with file
      description: Fetch an invoice with its file of the specified vehicle
      operationId: getInvoiceWithBlob
      parameters:
        - in: path
          name: assetProviderCountryCode
          schema:
            type: string
            minLength: 2
            maxLength: 2
          required: true
          example: AT
          description: The two-letter country code of the asset provider
        - in: path
          name: assetProviderCode
          schema:
            type: string
            minLength: 3
            maxLength: 3
          required: true
          example: ABC
          description: >-
            The three-character code of the asset provider the vehicles belong
            to
        - in: path
          name: vehicleId
          schema:
            type: string
          required: true
          example: AT*ABC*V100006
          description: The id of the vehicle
        - in: path
          name: invoiceId
          description: The id of the invoice
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Invoice including BLOB details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceBlobResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Vehicle or invoice could not be found
      security:
        - oauth:
            - openid
components:
  schemas:
    InvoiceBlobResponse:
      allOf:
        - $ref: '#/components/schemas/Invoice'
        - type: object
          required:
            - id
            - ocrStatus
          properties:
            id:
              type: string
              format: uuid
              description: invoice id
            ocrStatus:
              $ref: '#/components/schemas/OcrStatus'
            blob:
              $ref: '#/components/schemas/Blob'
    Invoice:
      type: object
      properties:
        invoiceDate:
          type: string
          format: date
          example: '2025-10-15T00:00:00.000Z'
        type:
          type: string
          enum:
            - ENERGY_FUEL_INVOICE
            - EXCESS_MILEAGE_INVOICE
            - PARKING_INVOICE
            - INSURANCE_INVOICE
            - REGISTRATION_INVOICE
            - ADMINISTRATION_INVOICE
            - CARBON_FOOTPRINT_INVOICE
        netCost:
          type: integer
          format: int64
          description: Net cost of the invoice in the local currency (cents)
        grossCost:
          type: integer
          format: int64
          description: Gross cost of the invoice in the local currency (cents)
        taxRate:
          type: integer
          format: int64
          description: Tax rate applied to the invoice
    OcrStatus:
      type: string
      enum:
        - NOT_STARTED
        - MANUAL
        - PROCESSING
        - PROCESSED
        - ERROR
    Blob:
      type: object
      required:
        - uuid
        - filename
        - uploaded
      properties:
        uuid:
          type: string
          format: uuid
        filename:
          type: string
        uploaded:
          type: boolean
          description: Indicates if the BLOB has been uploaded to the storage
          default: false
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````